ldap_read
ldap_sasl_bind
LDAP Functions
PHP Manual

# ldap_rename

Modify the name of an entry

### Description

bool ldap_rename ( resource `$link_identifier` , string `$dn` , string `$newrdn` , string `$newparent` , bool `$deleteoldrdn` )

The entry specified by `dn` is renamed/moved.

### Parameters

`link_identifier`

  An LDAP link identifier, returned by ldap_connect.

`dn`

  The distinguished name of an LDAP entity.

`newrdn`

  The new RDN.

`newparent`

  The new parent/superior entry.

`deleteoldrdn`

  If `TRUE` the old RDN value(s) is removed, else the old RDN value(s) is retained as non-distinguished values of the entry.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Notes

> Note:

> This function currently only works with LDAPv3. You may have to use ldap_set_option prior to binding to use LDAPv3. This function is only available when using OpenLDAP 2.x.x OR Netscape Directory SDK x.x.

### See Also

- ldap_modify